import { FASTElement } from '@genesislcap/web-core';
import { FDC3 } from '../fdc3';
/**
 * fdc3-listener listen channel config
 * @alpha
 * @param channelType - string for the context channel type
 * @param callback - async function that is called if a message with a matching context is emitted
 */
export interface ChannelContextListener {
    channelType: string;
    callback: (any: any) => void;
}
/**
 * fdc3-context-listener listen to channel context
 * @alpha
 */
export declare class Fdc3ContextListener extends FASTElement {
    config: ChannelContextListener[];
    fdc3: FDC3;
    connectedCallback(): void;
}
//# sourceMappingURL=fdc3-context-listener.d.ts.map