import { FASTElement } from '@genesislcap/web-core';
import { FDC3 } from '../fdc3';
/**
 * fdc3-listener listen intent config
 * @alpha
 */
export interface IntentConfig {
    intent: string;
    callback: (any: any) => void;
}
/**
 * fdc3-listener listen channel config
 * @alpha
 */
export interface ChannelConfig {
    channelName: string;
    channelType: string;
    callback: (any: any) => void;
}
/**
 * fdc3-listener
 * @alpha
 */
export declare class Fdc3Listener extends FASTElement {
    fdc3: FDC3;
    intentConfig: IntentConfig[];
    channelConfig: ChannelConfig[];
    connectedCallback(): void;
}
//# sourceMappingURL=fdc3-listener.d.ts.map