export const stripOutBigInt = (object) => {
    object = Object.assign({}, object);
    Object.keys(object).forEach((key) => {
        if (typeof object[key] === 'bigint') {
            delete object[key];
        }
        else if (typeof object[key] === 'object') {
            object[key] = stripOutBigInt(object[key]);
        }
    });
    return object;
};
